* { box-sizing: border-box; }
html, body { margin: 0; padding: 0; height: 100%; }
.btn {
    display: inline-block;
    padding: 0 5px;
    text-decoration: none;
    cursor: pointer;
    border-radius: 4px;
    background: white;
    border: 1px solid silver;
    color: crimson;
    height: 37px;
    line-height: 37px;
    vertical-align: top;
    font-size: 12px;
}
input, textarea {
    border-radius: 4px;
    height: 37px;
    padding: 10px;
    border: 1px solid silver;
}
.container { width: 100%; height: 100%; }
@media screen and (min-width: 800px) {
    .container {width: 800px; margin: 0 outo;}
}
.input-group { margin-bottom: 15px;}
.input-group lable { width: 25%; display: inline-block; }
.input-group input { width: 70%; }
#join { float: right; }
.profile-wrap {
    width: 100%;
    display: inline-block;
    vertical-align: top;
    margin: 10px 0;
}
@media screen and (min-width: 800px) {
    .profile-wrap { width: 290; margin-bottom: 0; }
}
.profile {
    text-align: left;
    padding: 10px;
    margin-right: 10px;
    border-radius: 4px;
    border: 1px solid silver;
    background: yellow
}
.user-name, .user-money {
    font-weight: bold;
    font-size: 18px;
    margin-bottom: 10px;
}
.timeline {
    margin-top: 10px;
    width: 100%;
    display: inline-block;
    border-radius: 4px;
    vertical-align: top;
}
@media screen and (min-width: 800px) { .timeline { width: 500px; } }
#good-list, #good-list th, #good-list td {
    border: 1px solid black;
    border-collapse: collapse;
}
#good-list img { max-height: 100px; vertical-align: top; }
#good-img {width: 280px; display: block; }
.error-message {color: red; font-weight: bold; }
#join-form, #good-form { padding: 10px; text-align: center; }
footer {text-align: center; }